# Button

A Vue implementation of a Eventbree Components button.


## Usage

```html
<eb-button kind="secondary" :icon="iconName" @click="actionClick">
  Hello I am a button
</eb-button>
```

## Attributes

- kind: 'primary' (default), 'secondary', ghost, or 'danger'. Optional.
- color: Background color presets, RGB, HEX, html color presets. Optional.
- small: If true smaller version of button.
- large: {default: false , type: Boolean}.
- outline: {default: false, type: Boolean}.
- loading: {default: false , type: Boolean}.
- submit: {default: false , type: Boolean}.
- disabled: { default: false, type: Boolean }.
- plain: { default: false, type: Boolean }.
- round: { default: false, type: Boolean }.
- circle: { default: false, type: Boolean }.
- square: { default: true, type: Boolean }.
- block: { default: false, type: Boolean }.
- icon: is optional. It takes an Vue Component expected to be an icon or a string path to an SVG icon.
- iconFamily:  An External Library like Fontawesome. (Optional)
- iconRight: Set Icon Position to Right (true/false), (Optional)