import Vue from 'vue';
import App from './App.vue';
import EventbreeVue from './index';

let components = [
  'EbButtonList',
  'EbButton',
  'EbToggle',
  'EbModal',
  'EbCard',
  'EbDropdown',
  'EbColorPicker',
  'EbSlider',
  'EbDropdownDivider',
  'EbDropdownItem',
  'EbLink',
  'EbImage',
  'EbIcon',
  'EbDate',
  'EbDatePicker',
  'EbCheckbox',
  'EbTag',
  'EbLogo',
  'EbMoney',
  'EbTextarea',
  'EbTextInput',
  'EbSelectInput',
  'EbTagsInput',
  'EbTelInput',
  'EbPasswordInput',
];

Vue.use(EventbreeVue, components);

Vue.config.productionTip = false;

new Vue({
  render: h => h(App)
}).$mount('#app');
