# Icon

A Vue implementation of a Eventbree Components Icon

## Usage

### Default SVG Icon

```html
<eb-icon type="user" class="mr-2"/> 
```

### SVG Icon with Size

```html
<eb-icon type="user" class="mr-2" size="32" color="red"/>
```

### Using an External Icon Font like Font Awesome

```html
<eb-icon type="user" family="fas" class="mr-2"/>
```

## Attributes

- type: Icon Type. Required
- size: Size of the Icon. Acceptable Values are '8', '16', '24', '32', '64', '128', '256'
- family: is optional. It is the Class Name when Using an External Icon Font like Font Awesome.
- color: Icon color presets, RGB, HEX, html color presets